/******************************************************************************
* File Name: cycfg_gatt_db.c
*
* Description:
* BLE device's GATT database and device configuration.
* This file should not be modified. It was automatically generated by
* Bluetooth Configurator 2.80.0.1851
*
*******************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
******************************************************************************/

#include "cycfg_gatt_db.h"
#include "wiced_bt_uuid.h"
#include "wiced_bt_gatt.h"

/******************************************************************************
* GATT server definitions
******************************************************************************/

const uint8_t gatt_database[] = 
{
    /* Primary Service: Generic Access */
    PRIMARY_SERVICE_UUID16 (
            HDLS_GAP,
            __UUID_SERVICE_GENERIC_ACCESS),
        /* Characteristic: Device Name */
        CHARACTERISTIC_UUID16 (
                HDLC_GAP_DEVICE_NAME,
                HDLC_GAP_DEVICE_NAME_VALUE,
                __UUID_CHARACTERISTIC_DEVICE_NAME,
                GATTDB_CHAR_PROP_READ,
                GATTDB_PERM_READABLE),
        /* Characteristic: Appearance */
        CHARACTERISTIC_UUID16 (
                HDLC_GAP_APPEARANCE,
                HDLC_GAP_APPEARANCE_VALUE,
                __UUID_CHARACTERISTIC_APPEARANCE,
                GATTDB_CHAR_PROP_READ,
                GATTDB_PERM_READABLE),

    /* Primary Service: Generic Attribute */
    PRIMARY_SERVICE_UUID16 (
            HDLS_GATT,
            __UUID_SERVICE_GENERIC_ATTRIBUTE),

    /* Primary Service: RadarConfig */
    PRIMARY_SERVICE_UUID128 (
            HDLS_RADARCONFIG,
            __UUID_SERVICE_RADARCONFIG),
        /* Characteristic: Threshold */
        CHARACTERISTIC_UUID128_WRITABLE (
                HDLC_RADARCONFIG_THRESHOLD,
                HDLC_RADARCONFIG_THRESHOLD_VALUE,
                __UUID_CHARACTERISTIC_RADARCONFIG_THRESHOLD,
                GATTDB_CHAR_PROP_READ | GATTDB_CHAR_PROP_WRITE,
                GATTDB_PERM_READABLE | GATTDB_PERM_WRITE_REQ),
        /* Characteristic: HoldTime */
        CHARACTERISTIC_UUID128_WRITABLE (
                HDLC_RADARCONFIG_HOLDTIME,
                HDLC_RADARCONFIG_HOLDTIME_VALUE,
                __UUID_CHARACTERISTIC_RADARCONFIG_HOLDTIME,
                GATTDB_CHAR_PROP_READ | GATTDB_CHAR_PROP_WRITE,
                GATTDB_PERM_READABLE | GATTDB_PERM_WRITE_REQ),
};

/* Length of the GATT database */
const uint16_t gatt_database_len = sizeof(gatt_database);

/******************************************************************************
* GATT Initial Value Arrays
******************************************************************************/
 
uint8_t app_gap_device_name[] = {'A', 'u', 't', 'o', 'm', 'a', 't', 'i', 'c', ' ', 'C', 'o',
    'o', 'l', 'e', 'r', '\0',};
uint8_t app_gap_appearance[] = {0x00, 0x00,};
uint8_t app_radarconfig_threshold[] = {0x00, 0x00,};
uint8_t app_radarconfig_holdtime[] = {0x00, 0x00,};
 
/******************************************************************************
* GATT Lookup Table
******************************************************************************/
 
gatt_db_lookup_table_t app_gatt_db_ext_attr_tbl[] =
{
    {
        HDLC_GAP_DEVICE_NAME_VALUE, /* attribute handle */
        16,                         /* maxlen */
        16,                         /* curlen */
        app_gap_device_name,        /* attribute data */
    },
    {
        HDLC_GAP_APPEARANCE_VALUE,  /* attribute handle */
        2,                          /* maxlen */
        2,                          /* curlen */
        app_gap_appearance,         /* attribute data */
    },
    {
        HDLC_RADARCONFIG_THRESHOLD_VALUE,/* attribute handle */
        2,                          /* maxlen */
        2,                          /* curlen */
        app_radarconfig_threshold,  /* attribute data */
    },
    {
        HDLC_RADARCONFIG_HOLDTIME_VALUE,/* attribute handle */
        2,                          /* maxlen */
        2,                          /* curlen */
        app_radarconfig_holdtime,   /* attribute data */
    },
};

/* Number of Lookup Table entries */
const uint16_t app_gatt_db_ext_attr_tbl_size = 
    (sizeof(app_gatt_db_ext_attr_tbl) / sizeof(gatt_db_lookup_table_t));

/* Number of GATT initial value arrays entries */
const uint16_t app_gap_device_name_len = 16;
const uint16_t app_gap_appearance_len = (sizeof(app_gap_appearance));
const uint16_t app_radarconfig_threshold_len = (sizeof(app_radarconfig_threshold));
const uint16_t app_radarconfig_holdtime_len = (sizeof(app_radarconfig_holdtime));
