/***************************************************************************//**
* File Name: cycfg_gatt_db.h
*
* Description:
* Definitions for constants used in the device's GATT database and function
* prototypes.
* This file should not be modified. It was automatically generated by
* Bluetooth Configurator 2.80.0.1851
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*******************************************************************************/

#if !defined(CYCFG_GATT_DB_H)
#define CYCFG_GATT_DB_H

#include "stdint.h"

#define __UUID_SERVICE_GENERIC_ACCESS               0x1800
#define __UUID_CHARACTERISTIC_DEVICE_NAME           0x2A00
#define __UUID_CHARACTERISTIC_APPEARANCE            0x2A01
#define __UUID_SERVICE_GENERIC_ATTRIBUTE            0x1801
#define __UUID_SERVICE_RADARCONFIG                  0x77, 0x8D, 0xC2, 0xF7, 0x05, 0xE1, 0xED, 0x9F, 0xD5, 0x4B, 0xBC, 0x3D, 0xAD, 0x12, 0xD8, 0x96
#define __UUID_CHARACTERISTIC_RADARCONFIG_THRESHOLD    0x4C, 0xE4, 0xC7, 0xB0, 0xEC, 0x94, 0x76, 0xAE, 0x06, 0x42, 0xCC, 0x23, 0x1E, 0x4A, 0x04, 0x58
#define __UUID_CHARACTERISTIC_RADARCONFIG_HOLDTIME    0xAA, 0x70, 0xC2, 0x68, 0x14, 0x3A, 0x38, 0x94, 0xAF, 0x44, 0x17, 0x48, 0xDF, 0x15, 0x34, 0x6C

/* Service Generic Access */
#define HDLS_GAP                                    0x0001
/* Characteristic Device Name */
#define HDLC_GAP_DEVICE_NAME                        0x0002
#define HDLC_GAP_DEVICE_NAME_VALUE                  0x0003
/* Characteristic Appearance */
#define HDLC_GAP_APPEARANCE                         0x0004
#define HDLC_GAP_APPEARANCE_VALUE                   0x0005

/* Service Generic Attribute */
#define HDLS_GATT                                   0x0006

/* Service RadarConfig */
#define HDLS_RADARCONFIG                            0x0007
/* Characteristic Threshold */
#define HDLC_RADARCONFIG_THRESHOLD                  0x0008
#define HDLC_RADARCONFIG_THRESHOLD_VALUE            0x0009
/* Characteristic HoldTime */
#define HDLC_RADARCONFIG_HOLDTIME                   0x000A
#define HDLC_RADARCONFIG_HOLDTIME_VALUE             0x000B


/* External Lookup Table Entry */
typedef struct
{
    uint16_t handle;
    uint16_t max_len;
    uint16_t cur_len;
    uint8_t  *p_data;
} gatt_db_lookup_table_t;

/* External definitions */
extern const uint8_t  gatt_database[];
extern const uint16_t gatt_database_len;
extern gatt_db_lookup_table_t app_gatt_db_ext_attr_tbl[];
extern const uint16_t app_gatt_db_ext_attr_tbl_size;
extern uint8_t app_gap_device_name[];
extern const uint16_t app_gap_device_name_len;
extern uint8_t app_gap_appearance[];
extern const uint16_t app_gap_appearance_len;
extern uint8_t app_radarconfig_threshold[];
extern const uint16_t app_radarconfig_threshold_len;
extern uint8_t app_radarconfig_holdtime[];
extern const uint16_t app_radarconfig_holdtime_len;

#endif /* CYCFG_GATT_DB_H */
