/*******************************************************************************
* File Name: cycfg_pins.h
*
* Description:
* Pin configuration
* This file was automatically generated and should not be modified.
* Configurator Backend 3.10.0
* device-db 4.7.1.4350
* mtb-pdl-cat1 3.7.0.27344
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#if !defined(CYCFG_PINS_H)
#define CYCFG_PINS_H

#include "cycfg_notices.h"
#include "cy_gpio.h"
#include "cycfg_routing.h"
#if defined (CY_USING_HAL)
    #include "cyhal_hwmgr.h"
#endif //defined (CY_USING_HAL)

#if defined(__cplusplus)
extern "C" {
#endif

#define CYBSP_WCO_IN_ENABLED 1U
#define CYBSP_WCO_IN_PORT GPIO_PRT0
#define CYBSP_WCO_IN_PORT_NUM 0U
#define CYBSP_WCO_IN_PIN 0U
#define CYBSP_WCO_IN_NUM 0U
#define CYBSP_WCO_IN_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_WCO_IN_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_0_HSIOM
    #define ioss_0_port_0_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_WCO_IN_HSIOM ioss_0_port_0_pin_0_HSIOM
#define CYBSP_WCO_IN_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_WCO_IN_HAL_PORT_PIN P0_0
    #define CYBSP_WCO_IN P0_0
    #define CYBSP_WCO_IN_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_WCO_IN_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_WCO_IN_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_WCO_OUT_ENABLED 1U
#define CYBSP_WCO_OUT_PORT GPIO_PRT0
#define CYBSP_WCO_OUT_PORT_NUM 0U
#define CYBSP_WCO_OUT_PIN 1U
#define CYBSP_WCO_OUT_NUM 1U
#define CYBSP_WCO_OUT_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_WCO_OUT_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_1_HSIOM
    #define ioss_0_port_0_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_WCO_OUT_HSIOM ioss_0_port_0_pin_1_HSIOM
#define CYBSP_WCO_OUT_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_WCO_OUT_HAL_PORT_PIN P0_1
    #define CYBSP_WCO_OUT P0_1
    #define CYBSP_WCO_OUT_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_WCO_OUT_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_WCO_OUT_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_SW2_ENABLED 1U
#define CYBSP_USER_BTN1_ENABLED CYBSP_SW2_ENABLED
#define CYBSP_USER_BTN_ENABLED CYBSP_SW2_ENABLED
#define CYBSP_SW2_PORT GPIO_PRT0
#define CYBSP_USER_BTN1_PORT CYBSP_SW2_PORT
#define CYBSP_USER_BTN_PORT CYBSP_SW2_PORT
#define CYBSP_SW2_PORT_NUM 0U
#define CYBSP_USER_BTN1_PORT_NUM CYBSP_SW2_PORT_NUM
#define CYBSP_USER_BTN_PORT_NUM CYBSP_SW2_PORT_NUM
#define CYBSP_SW2_PIN 4U
#define CYBSP_USER_BTN1_PIN CYBSP_SW2_PIN
#define CYBSP_USER_BTN_PIN CYBSP_SW2_PIN
#define CYBSP_SW2_NUM 4U
#define CYBSP_USER_BTN1_NUM CYBSP_SW2_NUM
#define CYBSP_USER_BTN_NUM CYBSP_SW2_NUM
#define CYBSP_SW2_DRIVEMODE CY_GPIO_DM_HIGHZ
#define CYBSP_USER_BTN1_DRIVEMODE CYBSP_SW2_DRIVEMODE
#define CYBSP_USER_BTN_DRIVEMODE CYBSP_SW2_DRIVEMODE
#define CYBSP_SW2_INIT_DRIVESTATE 1
#define CYBSP_USER_BTN1_INIT_DRIVESTATE CYBSP_SW2_INIT_DRIVESTATE
#define CYBSP_USER_BTN_INIT_DRIVESTATE CYBSP_SW2_INIT_DRIVESTATE
#ifndef ioss_0_port_0_pin_4_HSIOM
    #define ioss_0_port_0_pin_4_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SW2_HSIOM ioss_0_port_0_pin_4_HSIOM
#define CYBSP_USER_BTN1_HSIOM CYBSP_SW2_HSIOM
#define CYBSP_USER_BTN_HSIOM CYBSP_SW2_HSIOM
#define CYBSP_SW2_IRQ ioss_interrupts_gpio_0_IRQn
#define CYBSP_USER_BTN1_IRQ CYBSP_SW2_IRQ
#define CYBSP_USER_BTN_IRQ CYBSP_SW2_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_SW2_HAL_PORT_PIN P0_4
    #define CYBSP_USER_BTN1_HAL_PORT_PIN CYBSP_SW2_HAL_PORT_PIN
    #define CYBSP_USER_BTN_HAL_PORT_PIN CYBSP_SW2_HAL_PORT_PIN
    #define CYBSP_SW2 P0_4
    #define CYBSP_USER_BTN1 CYBSP_SW2
    #define CYBSP_USER_BTN CYBSP_SW2
    #define CYBSP_SW2_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_USER_BTN1_HAL_IRQ CYBSP_SW2_HAL_IRQ
    #define CYBSP_USER_BTN_HAL_IRQ CYBSP_SW2_HAL_IRQ
    #define CYBSP_SW2_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_USER_BTN1_HAL_DIR CYBSP_SW2_HAL_DIR
    #define CYBSP_USER_BTN_HAL_DIR CYBSP_SW2_HAL_DIR
    #define CYBSP_SW2_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_NONE
    #define CYBSP_USER_BTN1_HAL_DRIVEMODE CYBSP_SW2_HAL_DRIVEMODE
    #define CYBSP_USER_BTN_HAL_DRIVEMODE CYBSP_SW2_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_LED_RGB_GREEN_ENABLED 1U
#define CYBSP_USER_LED4_ENABLED CYBSP_LED_RGB_GREEN_ENABLED
#define CYBSP_LED_RGB_GREEN_PORT GPIO_PRT0
#define CYBSP_USER_LED4_PORT CYBSP_LED_RGB_GREEN_PORT
#define CYBSP_LED_RGB_GREEN_PORT_NUM 0U
#define CYBSP_USER_LED4_PORT_NUM CYBSP_LED_RGB_GREEN_PORT_NUM
#define CYBSP_LED_RGB_GREEN_PIN 5U
#define CYBSP_USER_LED4_PIN CYBSP_LED_RGB_GREEN_PIN
#define CYBSP_LED_RGB_GREEN_NUM 5U
#define CYBSP_USER_LED4_NUM CYBSP_LED_RGB_GREEN_NUM
#define CYBSP_LED_RGB_GREEN_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_USER_LED4_DRIVEMODE CYBSP_LED_RGB_GREEN_DRIVEMODE
#define CYBSP_LED_RGB_GREEN_INIT_DRIVESTATE 1
#define CYBSP_USER_LED4_INIT_DRIVESTATE CYBSP_LED_RGB_GREEN_INIT_DRIVESTATE
#ifndef ioss_0_port_0_pin_5_HSIOM
    #define ioss_0_port_0_pin_5_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_LED_RGB_GREEN_HSIOM ioss_0_port_0_pin_5_HSIOM
#define CYBSP_USER_LED4_HSIOM CYBSP_LED_RGB_GREEN_HSIOM
#define CYBSP_LED_RGB_GREEN_IRQ ioss_interrupts_gpio_0_IRQn
#define CYBSP_USER_LED4_IRQ CYBSP_LED_RGB_GREEN_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_LED_RGB_GREEN_HAL_PORT_PIN P0_5
    #define CYBSP_USER_LED4_HAL_PORT_PIN CYBSP_LED_RGB_GREEN_HAL_PORT_PIN
    #define CYBSP_LED_RGB_GREEN P0_5
    #define CYBSP_USER_LED4 CYBSP_LED_RGB_GREEN
    #define CYBSP_LED_RGB_GREEN_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_USER_LED4_HAL_IRQ CYBSP_LED_RGB_GREEN_HAL_IRQ
    #define CYBSP_LED_RGB_GREEN_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_USER_LED4_HAL_DIR CYBSP_LED_RGB_GREEN_HAL_DIR
    #define CYBSP_LED_RGB_GREEN_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_USER_LED4_HAL_DRIVEMODE CYBSP_LED_RGB_GREEN_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define PROFET_SHIELD_DEN13_ENABLED 1U
#define PROFET_SHIELD_DEN13_PORT GPIO_PRT10
#define PROFET_SHIELD_DEN13_PORT_NUM 10U
#define PROFET_SHIELD_DEN13_PIN 0U
#define PROFET_SHIELD_DEN13_NUM 0U
#define PROFET_SHIELD_DEN13_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define PROFET_SHIELD_DEN13_INIT_DRIVESTATE 1
#ifndef ioss_0_port_10_pin_0_HSIOM
    #define ioss_0_port_10_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define PROFET_SHIELD_DEN13_HSIOM ioss_0_port_10_pin_0_HSIOM
#define PROFET_SHIELD_DEN13_IRQ ioss_interrupts_gpio_10_IRQn
#if defined (CY_USING_HAL)
    #define PROFET_SHIELD_DEN13_HAL_PORT_PIN P10_0
    #define PROFET_SHIELD_DEN13 P10_0
    #define PROFET_SHIELD_DEN13_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define PROFET_SHIELD_DEN13_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define PROFET_SHIELD_DEN13_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define PROFET_SHIELD_IN1_ENABLED 1U
#define PROFET_SHIELD_IN1_PORT GPIO_PRT10
#define PROFET_SHIELD_IN1_PORT_NUM 10U
#define PROFET_SHIELD_IN1_PIN 1U
#define PROFET_SHIELD_IN1_NUM 1U
#define PROFET_SHIELD_IN1_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define PROFET_SHIELD_IN1_INIT_DRIVESTATE 0
#ifndef ioss_0_port_10_pin_1_HSIOM
    #define ioss_0_port_10_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define PROFET_SHIELD_IN1_HSIOM ioss_0_port_10_pin_1_HSIOM
#define PROFET_SHIELD_IN1_IRQ ioss_interrupts_gpio_10_IRQn
#if defined (CY_USING_HAL)
    #define PROFET_SHIELD_IN1_HAL_PORT_PIN P10_1
    #define PROFET_SHIELD_IN1 P10_1
    #define PROFET_SHIELD_IN1_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define PROFET_SHIELD_IN1_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define PROFET_SHIELD_IN1_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define RADAR_PDET_ENABLED 1U
#define RADAR_PDET_PORT GPIO_PRT10
#define RADAR_PDET_PORT_NUM 10U
#define RADAR_PDET_PIN 2U
#define RADAR_PDET_NUM 2U
#define RADAR_PDET_DRIVEMODE CY_GPIO_DM_HIGHZ
#define RADAR_PDET_INIT_DRIVESTATE 1
#ifndef ioss_0_port_10_pin_2_HSIOM
    #define ioss_0_port_10_pin_2_HSIOM HSIOM_SEL_GPIO
#endif
#define RADAR_PDET_HSIOM ioss_0_port_10_pin_2_HSIOM
#define RADAR_PDET_IRQ ioss_interrupts_gpio_10_IRQn
#if defined (CY_USING_HAL)
    #define RADAR_PDET_HAL_PORT_PIN P10_2
    #define RADAR_PDET P10_2
    #define RADAR_PDET_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define RADAR_PDET_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define RADAR_PDET_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_NONE
#endif //defined (CY_USING_HAL)
#define RADAR_TDET_ENABLED 1U
#define RADAR_TDET_PORT GPIO_PRT10
#define RADAR_TDET_PORT_NUM 10U
#define RADAR_TDET_PIN 3U
#define RADAR_TDET_NUM 3U
#define RADAR_TDET_DRIVEMODE CY_GPIO_DM_HIGHZ
#define RADAR_TDET_INIT_DRIVESTATE 1
#ifndef ioss_0_port_10_pin_3_HSIOM
    #define ioss_0_port_10_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define RADAR_TDET_HSIOM ioss_0_port_10_pin_3_HSIOM
#define RADAR_TDET_IRQ ioss_interrupts_gpio_10_IRQn
#if defined (CY_USING_HAL)
    #define RADAR_TDET_HAL_PORT_PIN P10_3
    #define RADAR_TDET P10_3
    #define RADAR_TDET_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define RADAR_TDET_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define RADAR_TDET_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_NONE
    #define CYBSP_A4 (P10_4)
    #define CYBSP_J2_9 CYBSP_A4
    #define CYBSP_A5 (P10_5)
    #define CYBSP_J2_11 CYBSP_A5
    #define CYBSP_A6 (P10_6)
    #define CYBSP_J2_13 CYBSP_A6
    #define CYBSP_POT CYBSP_A6
    #define CYBSP_A7 (P10_7)
    #define CYBSP_J2_15 CYBSP_A7
    #define CYBSP_QSPI_FRAM_SSEL (P11_0)
    #define CYBSP_LED9 (P11_1)
    #define CYBSP_USER_LED2 CYBSP_LED9
    #define CYBSP_QSPI_SS (P11_2)
    #define CYBSP_QSPI_FLASH_SSEL CYBSP_QSPI_SS
    #define CYBSP_QSPI_D3 (P11_3)
    #define CYBSP_QSPI_D2 (P11_4)
    #define CYBSP_QSPI_D1 (P11_5)
    #define CYBSP_QSPI_D0 (P11_6)
    #define CYBSP_QSPI_SCK (P11_7)
#endif //defined (CY_USING_HAL)
#define CYBSP_SPI_MOSI_ENABLED 1U
#define CYBSP_D11_ENABLED CYBSP_SPI_MOSI_ENABLED
#define CYBSP_SPI_MOSI_PORT GPIO_PRT12
#define CYBSP_D11_PORT CYBSP_SPI_MOSI_PORT
#define CYBSP_SPI_MOSI_PORT_NUM 12U
#define CYBSP_D11_PORT_NUM CYBSP_SPI_MOSI_PORT_NUM
#define CYBSP_SPI_MOSI_PIN 0U
#define CYBSP_D11_PIN CYBSP_SPI_MOSI_PIN
#define CYBSP_SPI_MOSI_NUM 0U
#define CYBSP_D11_NUM CYBSP_SPI_MOSI_NUM
#define CYBSP_SPI_MOSI_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_D11_DRIVEMODE CYBSP_SPI_MOSI_DRIVEMODE
#define CYBSP_SPI_MOSI_INIT_DRIVESTATE 1
#define CYBSP_D11_INIT_DRIVESTATE CYBSP_SPI_MOSI_INIT_DRIVESTATE
#ifndef ioss_0_port_12_pin_0_HSIOM
    #define ioss_0_port_12_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SPI_MOSI_HSIOM ioss_0_port_12_pin_0_HSIOM
#define CYBSP_D11_HSIOM CYBSP_SPI_MOSI_HSIOM
#define CYBSP_SPI_MOSI_IRQ ioss_interrupts_gpio_12_IRQn
#define CYBSP_D11_IRQ CYBSP_SPI_MOSI_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_SPI_MOSI_HAL_PORT_PIN P12_0
    #define CYBSP_D11_HAL_PORT_PIN CYBSP_SPI_MOSI_HAL_PORT_PIN
    #define CYBSP_SPI_MOSI P12_0
    #define CYBSP_D11 CYBSP_SPI_MOSI
    #define CYBSP_SPI_MOSI_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_D11_HAL_IRQ CYBSP_SPI_MOSI_HAL_IRQ
    #define CYBSP_SPI_MOSI_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_D11_HAL_DIR CYBSP_SPI_MOSI_HAL_DIR
    #define CYBSP_SPI_MOSI_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_D11_HAL_DRIVEMODE CYBSP_SPI_MOSI_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_SPI_MISO_ENABLED 1U
#define CYBSP_D12_ENABLED CYBSP_SPI_MISO_ENABLED
#define CYBSP_SPI_MISO_PORT GPIO_PRT12
#define CYBSP_D12_PORT CYBSP_SPI_MISO_PORT
#define CYBSP_SPI_MISO_PORT_NUM 12U
#define CYBSP_D12_PORT_NUM CYBSP_SPI_MISO_PORT_NUM
#define CYBSP_SPI_MISO_PIN 1U
#define CYBSP_D12_PIN CYBSP_SPI_MISO_PIN
#define CYBSP_SPI_MISO_NUM 1U
#define CYBSP_D12_NUM CYBSP_SPI_MISO_NUM
#define CYBSP_SPI_MISO_DRIVEMODE CY_GPIO_DM_HIGHZ
#define CYBSP_D12_DRIVEMODE CYBSP_SPI_MISO_DRIVEMODE
#define CYBSP_SPI_MISO_INIT_DRIVESTATE 1
#define CYBSP_D12_INIT_DRIVESTATE CYBSP_SPI_MISO_INIT_DRIVESTATE
#ifndef ioss_0_port_12_pin_1_HSIOM
    #define ioss_0_port_12_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SPI_MISO_HSIOM ioss_0_port_12_pin_1_HSIOM
#define CYBSP_D12_HSIOM CYBSP_SPI_MISO_HSIOM
#define CYBSP_SPI_MISO_IRQ ioss_interrupts_gpio_12_IRQn
#define CYBSP_D12_IRQ CYBSP_SPI_MISO_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_SPI_MISO_HAL_PORT_PIN P12_1
    #define CYBSP_D12_HAL_PORT_PIN CYBSP_SPI_MISO_HAL_PORT_PIN
    #define CYBSP_SPI_MISO P12_1
    #define CYBSP_D12 CYBSP_SPI_MISO
    #define CYBSP_SPI_MISO_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_D12_HAL_IRQ CYBSP_SPI_MISO_HAL_IRQ
    #define CYBSP_SPI_MISO_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_D12_HAL_DIR CYBSP_SPI_MISO_HAL_DIR
    #define CYBSP_SPI_MISO_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_NONE
    #define CYBSP_D12_HAL_DRIVEMODE CYBSP_SPI_MISO_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_SPI_CLK_ENABLED 1U
#define CYBSP_D13_ENABLED CYBSP_SPI_CLK_ENABLED
#define CYBSP_SPI_CLK_PORT GPIO_PRT12
#define CYBSP_D13_PORT CYBSP_SPI_CLK_PORT
#define CYBSP_SPI_CLK_PORT_NUM 12U
#define CYBSP_D13_PORT_NUM CYBSP_SPI_CLK_PORT_NUM
#define CYBSP_SPI_CLK_PIN 2U
#define CYBSP_D13_PIN CYBSP_SPI_CLK_PIN
#define CYBSP_SPI_CLK_NUM 2U
#define CYBSP_D13_NUM CYBSP_SPI_CLK_NUM
#define CYBSP_SPI_CLK_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_D13_DRIVEMODE CYBSP_SPI_CLK_DRIVEMODE
#define CYBSP_SPI_CLK_INIT_DRIVESTATE 1
#define CYBSP_D13_INIT_DRIVESTATE CYBSP_SPI_CLK_INIT_DRIVESTATE
#ifndef ioss_0_port_12_pin_2_HSIOM
    #define ioss_0_port_12_pin_2_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SPI_CLK_HSIOM ioss_0_port_12_pin_2_HSIOM
#define CYBSP_D13_HSIOM CYBSP_SPI_CLK_HSIOM
#define CYBSP_SPI_CLK_IRQ ioss_interrupts_gpio_12_IRQn
#define CYBSP_D13_IRQ CYBSP_SPI_CLK_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_SPI_CLK_HAL_PORT_PIN P12_2
    #define CYBSP_D13_HAL_PORT_PIN CYBSP_SPI_CLK_HAL_PORT_PIN
    #define CYBSP_SPI_CLK P12_2
    #define CYBSP_D13 CYBSP_SPI_CLK
    #define CYBSP_SPI_CLK_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_D13_HAL_IRQ CYBSP_SPI_CLK_HAL_IRQ
    #define CYBSP_SPI_CLK_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_D13_HAL_DIR CYBSP_SPI_CLK_HAL_DIR
    #define CYBSP_SPI_CLK_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_D13_HAL_DRIVEMODE CYBSP_SPI_CLK_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_SPI_CS_ENABLED 1U
#define CYBSP_D10_ENABLED CYBSP_SPI_CS_ENABLED
#define CYBSP_SPI_CS_PORT GPIO_PRT12
#define CYBSP_D10_PORT CYBSP_SPI_CS_PORT
#define CYBSP_SPI_CS_PORT_NUM 12U
#define CYBSP_D10_PORT_NUM CYBSP_SPI_CS_PORT_NUM
#define CYBSP_SPI_CS_PIN 3U
#define CYBSP_D10_PIN CYBSP_SPI_CS_PIN
#define CYBSP_SPI_CS_NUM 3U
#define CYBSP_D10_NUM CYBSP_SPI_CS_NUM
#define CYBSP_SPI_CS_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_D10_DRIVEMODE CYBSP_SPI_CS_DRIVEMODE
#define CYBSP_SPI_CS_INIT_DRIVESTATE 1
#define CYBSP_D10_INIT_DRIVESTATE CYBSP_SPI_CS_INIT_DRIVESTATE
#ifndef ioss_0_port_12_pin_3_HSIOM
    #define ioss_0_port_12_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SPI_CS_HSIOM ioss_0_port_12_pin_3_HSIOM
#define CYBSP_D10_HSIOM CYBSP_SPI_CS_HSIOM
#define CYBSP_SPI_CS_IRQ ioss_interrupts_gpio_12_IRQn
#define CYBSP_D10_IRQ CYBSP_SPI_CS_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_SPI_CS_HAL_PORT_PIN P12_3
    #define CYBSP_D10_HAL_PORT_PIN CYBSP_SPI_CS_HAL_PORT_PIN
    #define CYBSP_SPI_CS P12_3
    #define CYBSP_D10 CYBSP_SPI_CS
    #define CYBSP_SPI_CS_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_D10_HAL_IRQ CYBSP_SPI_CS_HAL_IRQ
    #define CYBSP_SPI_CS_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_D10_HAL_DIR CYBSP_SPI_CS_HAL_DIR
    #define CYBSP_SPI_CS_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_D10_HAL_DRIVEMODE CYBSP_SPI_CS_HAL_DRIVEMODE
    #define CYBSP_SDHC_CMD (P12_4)
    #define CYBSP_SDHC_CLK (P12_5)
    #define CYBSP_SDHC_IO0 (P13_0)
    #define CYBSP_SDHC_IO1 (P13_1)
    #define CYBSP_SDHC_IO2 (P13_2)
    #define CYBSP_SDHC_IO3 (P13_3)
    #define CYBSP_SDHC_DETECT (P13_7)
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_RX_ENABLED 1U
#define CYBSP_CS_RX_ENABLED CYBSP_CSD_RX_ENABLED
#define CYBSP_CS_TX_RX_ENABLED CYBSP_CSD_RX_ENABLED
#define CYBSP_CSD_RX_PORT GPIO_PRT1
#define CYBSP_CS_RX_PORT CYBSP_CSD_RX_PORT
#define CYBSP_CS_TX_RX_PORT CYBSP_CSD_RX_PORT
#define CYBSP_CSD_RX_PORT_NUM 1U
#define CYBSP_CS_RX_PORT_NUM CYBSP_CSD_RX_PORT_NUM
#define CYBSP_CS_TX_RX_PORT_NUM CYBSP_CSD_RX_PORT_NUM
#define CYBSP_CSD_RX_PIN 0U
#define CYBSP_CS_RX_PIN CYBSP_CSD_RX_PIN
#define CYBSP_CS_TX_RX_PIN CYBSP_CSD_RX_PIN
#define CYBSP_CSD_RX_NUM 0U
#define CYBSP_CS_RX_NUM CYBSP_CSD_RX_NUM
#define CYBSP_CS_TX_RX_NUM CYBSP_CSD_RX_NUM
#define CYBSP_CSD_RX_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_RX_DRIVEMODE CYBSP_CSD_RX_DRIVEMODE
#define CYBSP_CS_TX_RX_DRIVEMODE CYBSP_CSD_RX_DRIVEMODE
#define CYBSP_CSD_RX_INIT_DRIVESTATE 1
#define CYBSP_CS_RX_INIT_DRIVESTATE CYBSP_CSD_RX_INIT_DRIVESTATE
#define CYBSP_CS_TX_RX_INIT_DRIVESTATE CYBSP_CSD_RX_INIT_DRIVESTATE
#ifndef ioss_0_port_1_pin_0_HSIOM
    #define ioss_0_port_1_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_RX_HSIOM ioss_0_port_1_pin_0_HSIOM
#define CYBSP_CS_RX_HSIOM CYBSP_CSD_RX_HSIOM
#define CYBSP_CS_TX_RX_HSIOM CYBSP_CSD_RX_HSIOM
#define CYBSP_CSD_RX_IRQ ioss_interrupts_gpio_1_IRQn
#define CYBSP_CS_RX_IRQ CYBSP_CSD_RX_IRQ
#define CYBSP_CS_TX_RX_IRQ CYBSP_CSD_RX_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_RX_HAL_PORT_PIN P1_0
    #define CYBSP_CS_RX_HAL_PORT_PIN CYBSP_CSD_RX_HAL_PORT_PIN
    #define CYBSP_CS_TX_RX_HAL_PORT_PIN CYBSP_CSD_RX_HAL_PORT_PIN
    #define CYBSP_CSD_RX P1_0
    #define CYBSP_CS_RX CYBSP_CSD_RX
    #define CYBSP_CS_TX_RX CYBSP_CSD_RX
    #define CYBSP_CSD_RX_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_RX_HAL_IRQ CYBSP_CSD_RX_HAL_IRQ
    #define CYBSP_CS_TX_RX_HAL_IRQ CYBSP_CSD_RX_HAL_IRQ
    #define CYBSP_CSD_RX_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_RX_HAL_DIR CYBSP_CSD_RX_HAL_DIR
    #define CYBSP_CS_TX_RX_HAL_DIR CYBSP_CSD_RX_HAL_DIR
    #define CYBSP_CSD_RX_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_RX_HAL_DRIVEMODE CYBSP_CSD_RX_HAL_DRIVEMODE
    #define CYBSP_CS_TX_RX_HAL_DRIVEMODE CYBSP_CSD_RX_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_LED_RGB_RED_ENABLED 1U
#define CYBSP_USER_LED3_ENABLED CYBSP_LED_RGB_RED_ENABLED
#define CYBSP_LED_RGB_RED_PORT GPIO_PRT1
#define CYBSP_USER_LED3_PORT CYBSP_LED_RGB_RED_PORT
#define CYBSP_LED_RGB_RED_PORT_NUM 1U
#define CYBSP_USER_LED3_PORT_NUM CYBSP_LED_RGB_RED_PORT_NUM
#define CYBSP_LED_RGB_RED_PIN 1U
#define CYBSP_USER_LED3_PIN CYBSP_LED_RGB_RED_PIN
#define CYBSP_LED_RGB_RED_NUM 1U
#define CYBSP_USER_LED3_NUM CYBSP_LED_RGB_RED_NUM
#define CYBSP_LED_RGB_RED_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_USER_LED3_DRIVEMODE CYBSP_LED_RGB_RED_DRIVEMODE
#define CYBSP_LED_RGB_RED_INIT_DRIVESTATE 1
#define CYBSP_USER_LED3_INIT_DRIVESTATE CYBSP_LED_RGB_RED_INIT_DRIVESTATE
#ifndef ioss_0_port_1_pin_1_HSIOM
    #define ioss_0_port_1_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_LED_RGB_RED_HSIOM ioss_0_port_1_pin_1_HSIOM
#define CYBSP_USER_LED3_HSIOM CYBSP_LED_RGB_RED_HSIOM
#define CYBSP_LED_RGB_RED_IRQ ioss_interrupts_gpio_1_IRQn
#define CYBSP_USER_LED3_IRQ CYBSP_LED_RGB_RED_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_LED_RGB_RED_HAL_PORT_PIN P1_1
    #define CYBSP_USER_LED3_HAL_PORT_PIN CYBSP_LED_RGB_RED_HAL_PORT_PIN
    #define CYBSP_LED_RGB_RED P1_1
    #define CYBSP_USER_LED3 CYBSP_LED_RGB_RED
    #define CYBSP_LED_RGB_RED_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_USER_LED3_HAL_IRQ CYBSP_LED_RGB_RED_HAL_IRQ
    #define CYBSP_LED_RGB_RED_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_USER_LED3_HAL_DIR CYBSP_LED_RGB_RED_HAL_DIR
    #define CYBSP_LED_RGB_RED_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_USER_LED3_HAL_DRIVEMODE CYBSP_LED_RGB_RED_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_SW4_ENABLED 1U
#define CYBSP_USER_BTN2_ENABLED CYBSP_SW4_ENABLED
#define CYBSP_SW4_PORT GPIO_PRT1
#define CYBSP_USER_BTN2_PORT CYBSP_SW4_PORT
#define CYBSP_SW4_PORT_NUM 1U
#define CYBSP_USER_BTN2_PORT_NUM CYBSP_SW4_PORT_NUM
#define CYBSP_SW4_PIN 4U
#define CYBSP_USER_BTN2_PIN CYBSP_SW4_PIN
#define CYBSP_SW4_NUM 4U
#define CYBSP_USER_BTN2_NUM CYBSP_SW4_NUM
#define CYBSP_SW4_DRIVEMODE CY_GPIO_DM_HIGHZ
#define CYBSP_USER_BTN2_DRIVEMODE CYBSP_SW4_DRIVEMODE
#define CYBSP_SW4_INIT_DRIVESTATE 1
#define CYBSP_USER_BTN2_INIT_DRIVESTATE CYBSP_SW4_INIT_DRIVESTATE
#ifndef ioss_0_port_1_pin_4_HSIOM
    #define ioss_0_port_1_pin_4_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SW4_HSIOM ioss_0_port_1_pin_4_HSIOM
#define CYBSP_USER_BTN2_HSIOM CYBSP_SW4_HSIOM
#define CYBSP_SW4_IRQ ioss_interrupts_gpio_1_IRQn
#define CYBSP_USER_BTN2_IRQ CYBSP_SW4_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_SW4_HAL_PORT_PIN P1_4
    #define CYBSP_USER_BTN2_HAL_PORT_PIN CYBSP_SW4_HAL_PORT_PIN
    #define CYBSP_SW4 P1_4
    #define CYBSP_USER_BTN2 CYBSP_SW4
    #define CYBSP_SW4_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_USER_BTN2_HAL_IRQ CYBSP_SW4_HAL_IRQ
    #define CYBSP_SW4_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_USER_BTN2_HAL_DIR CYBSP_SW4_HAL_DIR
    #define CYBSP_SW4_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_NONE
    #define CYBSP_USER_BTN2_HAL_DRIVEMODE CYBSP_SW4_HAL_DRIVEMODE
    #define CYBSP_LED8 (P1_5)
    #define CYBSP_USER_LED1 CYBSP_LED8
    #define CYBSP_USER_LED CYBSP_LED8
    #define CYBSP_WIFI_SDIO_D0 (P2_0)
    #define CYBSP_WIFI_SDIO_D1 (P2_1)
    #define CYBSP_WIFI_SDIO_D2 (P2_2)
    #define CYBSP_WIFI_SDIO_D3 (P2_3)
    #define CYBSP_WIFI_SDIO_CMD (P2_4)
    #define CYBSP_WIFI_SDIO_CLK (P2_5)
    #define CYBSP_WIFI_WL_REG_ON (P2_6)
    #define CYBSP_BT_UART_RX (P3_0)
    #define CYBSP_BT_UART_TX (P3_1)
    #define CYBSP_BT_UART_RTS (P3_2)
    #define CYBSP_BT_UART_CTS (P3_3)
    #define CYBSP_BT_POWER (P3_4)
    #define CYBSP_BT_DEVICE_WAKE (P3_5)
    #define CYBSP_BT_HOST_WAKE (P4_0)
    #define CYBSP_WIFI_HOST_WAKE (P4_1)
    #define CYBSP_DEBUG_UART_RX (P5_0)
    #define CYBSP_D0 CYBSP_DEBUG_UART_RX
    #define CYBSP_DEBUG_UART_TX (P5_1)
    #define CYBSP_D1 CYBSP_DEBUG_UART_TX
    #define CYBSP_DEBUG_UART_RTS (P5_2)
    #define CYBSP_D2 CYBSP_DEBUG_UART_RTS
    #define CYBSP_DEBUG_UART_CTS (P5_3)
    #define CYBSP_D3 CYBSP_DEBUG_UART_CTS
    #define CYBSP_D4 (P5_4)
    #define CYBSP_D5 (P5_5)
    #define CYBSP_D6 (P5_6)
    #define CYBSP_D7 (P5_7)
    #define CYBSP_I2C_SCL (P6_0)
    #define CYBSP_D15 CYBSP_I2C_SCL
    #define CYBSP_I2C_SDA (P6_1)
    #define CYBSP_D14 CYBSP_I2C_SDA
#endif //defined (CY_USING_HAL)
#define CYBSP_SWO_ENABLED 1U
#define CYBSP_SWO_PORT GPIO_PRT6
#define CYBSP_SWO_PORT_NUM 6U
#define CYBSP_SWO_PIN 4U
#define CYBSP_SWO_NUM 4U
#define CYBSP_SWO_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_SWO_INIT_DRIVESTATE 1
#ifndef ioss_0_port_6_pin_4_HSIOM
    #define ioss_0_port_6_pin_4_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SWO_HSIOM ioss_0_port_6_pin_4_HSIOM
#define CYBSP_SWO_IRQ ioss_interrupts_gpio_6_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_SWO_HAL_PORT_PIN P6_4
    #define CYBSP_SWO P6_4
    #define CYBSP_SWO_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_SWO_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_SWO_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define CYBSP_SWDIO_ENABLED 1U
#define CYBSP_SWDIO_PORT GPIO_PRT6
#define CYBSP_SWDIO_PORT_NUM 6U
#define CYBSP_SWDIO_PIN 6U
#define CYBSP_SWDIO_NUM 6U
#define CYBSP_SWDIO_DRIVEMODE CY_GPIO_DM_PULLUP
#define CYBSP_SWDIO_INIT_DRIVESTATE 1
#ifndef ioss_0_port_6_pin_6_HSIOM
    #define ioss_0_port_6_pin_6_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SWDIO_HSIOM ioss_0_port_6_pin_6_HSIOM
#define CYBSP_SWDIO_IRQ ioss_interrupts_gpio_6_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_SWDIO_HAL_PORT_PIN P6_6
    #define CYBSP_SWDIO P6_6
    #define CYBSP_SWDIO_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_SWDIO_HAL_DIR CYHAL_GPIO_DIR_BIDIRECTIONAL 
    #define CYBSP_SWDIO_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_PULLUP
#endif //defined (CY_USING_HAL)
#define CYBSP_SWDCK_ENABLED 1U
#define CYBSP_SWDCK_PORT GPIO_PRT6
#define CYBSP_SWDCK_PORT_NUM 6U
#define CYBSP_SWDCK_PIN 7U
#define CYBSP_SWDCK_NUM 7U
#define CYBSP_SWDCK_DRIVEMODE CY_GPIO_DM_PULLDOWN
#define CYBSP_SWDCK_INIT_DRIVESTATE 1
#ifndef ioss_0_port_6_pin_7_HSIOM
    #define ioss_0_port_6_pin_7_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SWDCK_HSIOM ioss_0_port_6_pin_7_HSIOM
#define CYBSP_SWDCK_IRQ ioss_interrupts_gpio_6_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_SWDCK_HAL_PORT_PIN P6_7
    #define CYBSP_SWDCK P6_7
    #define CYBSP_SWDCK_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_SWDCK_HAL_DIR CYHAL_GPIO_DIR_BIDIRECTIONAL 
    #define CYBSP_SWDCK_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_PULLDOWN
    #define CYBSP_TRACE_CLK (P7_0)
#endif //defined (CY_USING_HAL)
#define CYBSP_CINA_ENABLED 1U
#define CYBSP_CINA_PORT GPIO_PRT7
#define CYBSP_CINA_PORT_NUM 7U
#define CYBSP_CINA_PIN 1U
#define CYBSP_CINA_NUM 1U
#define CYBSP_CINA_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CINA_INIT_DRIVESTATE 1
#ifndef ioss_0_port_7_pin_1_HSIOM
    #define ioss_0_port_7_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CINA_HSIOM ioss_0_port_7_pin_1_HSIOM
#define CYBSP_CINA_IRQ ioss_interrupts_gpio_7_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_CINA_HAL_PORT_PIN P7_1
    #define CYBSP_CINA P7_1
    #define CYBSP_CINA_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CINA_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CINA_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_CINB_ENABLED 1U
#define CYBSP_CINB_PORT GPIO_PRT7
#define CYBSP_CINB_PORT_NUM 7U
#define CYBSP_CINB_PIN 2U
#define CYBSP_CINB_NUM 2U
#define CYBSP_CINB_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CINB_INIT_DRIVESTATE 1
#ifndef ioss_0_port_7_pin_2_HSIOM
    #define ioss_0_port_7_pin_2_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CINB_HSIOM ioss_0_port_7_pin_2_HSIOM
#define CYBSP_CINB_IRQ ioss_interrupts_gpio_7_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_CINB_HAL_PORT_PIN P7_2
    #define CYBSP_CINB P7_2
    #define CYBSP_CINB_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CINB_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CINB_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_LED_RGB_BLUE_ENABLED 1U
#define CYBSP_USER_LED5_ENABLED CYBSP_LED_RGB_BLUE_ENABLED
#define CYBSP_LED_RGB_BLUE_PORT GPIO_PRT7
#define CYBSP_USER_LED5_PORT CYBSP_LED_RGB_BLUE_PORT
#define CYBSP_LED_RGB_BLUE_PORT_NUM 7U
#define CYBSP_USER_LED5_PORT_NUM CYBSP_LED_RGB_BLUE_PORT_NUM
#define CYBSP_LED_RGB_BLUE_PIN 3U
#define CYBSP_USER_LED5_PIN CYBSP_LED_RGB_BLUE_PIN
#define CYBSP_LED_RGB_BLUE_NUM 3U
#define CYBSP_USER_LED5_NUM CYBSP_LED_RGB_BLUE_NUM
#define CYBSP_LED_RGB_BLUE_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_USER_LED5_DRIVEMODE CYBSP_LED_RGB_BLUE_DRIVEMODE
#define CYBSP_LED_RGB_BLUE_INIT_DRIVESTATE 1
#define CYBSP_USER_LED5_INIT_DRIVESTATE CYBSP_LED_RGB_BLUE_INIT_DRIVESTATE
#ifndef ioss_0_port_7_pin_3_HSIOM
    #define ioss_0_port_7_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_LED_RGB_BLUE_HSIOM ioss_0_port_7_pin_3_HSIOM
#define CYBSP_USER_LED5_HSIOM CYBSP_LED_RGB_BLUE_HSIOM
#define CYBSP_LED_RGB_BLUE_IRQ ioss_interrupts_gpio_7_IRQn
#define CYBSP_USER_LED5_IRQ CYBSP_LED_RGB_BLUE_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_LED_RGB_BLUE_HAL_PORT_PIN P7_3
    #define CYBSP_USER_LED5_HAL_PORT_PIN CYBSP_LED_RGB_BLUE_HAL_PORT_PIN
    #define CYBSP_LED_RGB_BLUE P7_3
    #define CYBSP_USER_LED5 CYBSP_LED_RGB_BLUE
    #define CYBSP_LED_RGB_BLUE_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_USER_LED5_HAL_IRQ CYBSP_LED_RGB_BLUE_HAL_IRQ
    #define CYBSP_LED_RGB_BLUE_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_USER_LED5_HAL_DIR CYBSP_LED_RGB_BLUE_HAL_DIR
    #define CYBSP_LED_RGB_BLUE_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_USER_LED5_HAL_DRIVEMODE CYBSP_LED_RGB_BLUE_HAL_DRIVEMODE
    #define CYBSP_TRACE_DATA3 (P7_4)
    #define CYBSP_D8 (P7_5)
    #define CYBSP_TRACE_DATA2 CYBSP_D8
    #define CYBSP_D9 (P7_6)
    #define CYBSP_TRACE_DATA1 CYBSP_D9
#endif //defined (CY_USING_HAL)
#define CYBSP_CMOD_ENABLED 1U
#define CYBSP_CMOD_PORT GPIO_PRT7
#define CYBSP_CMOD_PORT_NUM 7U
#define CYBSP_CMOD_PIN 7U
#define CYBSP_CMOD_NUM 7U
#define CYBSP_CMOD_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CMOD_INIT_DRIVESTATE 1
#ifndef ioss_0_port_7_pin_7_HSIOM
    #define ioss_0_port_7_pin_7_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CMOD_HSIOM ioss_0_port_7_pin_7_HSIOM
#define CYBSP_CMOD_IRQ ioss_interrupts_gpio_7_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_CMOD_HAL_PORT_PIN P7_7
    #define CYBSP_CMOD P7_7
    #define CYBSP_CMOD_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CMOD_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CMOD_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_BTN0_ENABLED 1U
#define CYBSP_CS_BTN0_ENABLED CYBSP_CSD_BTN0_ENABLED
#define CYBSP_CSD_BTN0_PORT GPIO_PRT8
#define CYBSP_CS_BTN0_PORT CYBSP_CSD_BTN0_PORT
#define CYBSP_CSD_BTN0_PORT_NUM 8U
#define CYBSP_CS_BTN0_PORT_NUM CYBSP_CSD_BTN0_PORT_NUM
#define CYBSP_CSD_BTN0_PIN 1U
#define CYBSP_CS_BTN0_PIN CYBSP_CSD_BTN0_PIN
#define CYBSP_CSD_BTN0_NUM 1U
#define CYBSP_CS_BTN0_NUM CYBSP_CSD_BTN0_NUM
#define CYBSP_CSD_BTN0_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_BTN0_DRIVEMODE CYBSP_CSD_BTN0_DRIVEMODE
#define CYBSP_CSD_BTN0_INIT_DRIVESTATE 1
#define CYBSP_CS_BTN0_INIT_DRIVESTATE CYBSP_CSD_BTN0_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_1_HSIOM
    #define ioss_0_port_8_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_BTN0_HSIOM ioss_0_port_8_pin_1_HSIOM
#define CYBSP_CS_BTN0_HSIOM CYBSP_CSD_BTN0_HSIOM
#define CYBSP_CSD_BTN0_IRQ ioss_interrupts_gpio_8_IRQn
#define CYBSP_CS_BTN0_IRQ CYBSP_CSD_BTN0_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_BTN0_HAL_PORT_PIN P8_1
    #define CYBSP_CS_BTN0_HAL_PORT_PIN CYBSP_CSD_BTN0_HAL_PORT_PIN
    #define CYBSP_CSD_BTN0 P8_1
    #define CYBSP_CS_BTN0 CYBSP_CSD_BTN0
    #define CYBSP_CSD_BTN0_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_BTN0_HAL_IRQ CYBSP_CSD_BTN0_HAL_IRQ
    #define CYBSP_CSD_BTN0_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_BTN0_HAL_DIR CYBSP_CSD_BTN0_HAL_DIR
    #define CYBSP_CSD_BTN0_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_BTN0_HAL_DRIVEMODE CYBSP_CSD_BTN0_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_BTN1_ENABLED 1U
#define CYBSP_CS_BTN1_ENABLED CYBSP_CSD_BTN1_ENABLED
#define CYBSP_CSD_BTN1_PORT GPIO_PRT8
#define CYBSP_CS_BTN1_PORT CYBSP_CSD_BTN1_PORT
#define CYBSP_CSD_BTN1_PORT_NUM 8U
#define CYBSP_CS_BTN1_PORT_NUM CYBSP_CSD_BTN1_PORT_NUM
#define CYBSP_CSD_BTN1_PIN 2U
#define CYBSP_CS_BTN1_PIN CYBSP_CSD_BTN1_PIN
#define CYBSP_CSD_BTN1_NUM 2U
#define CYBSP_CS_BTN1_NUM CYBSP_CSD_BTN1_NUM
#define CYBSP_CSD_BTN1_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_BTN1_DRIVEMODE CYBSP_CSD_BTN1_DRIVEMODE
#define CYBSP_CSD_BTN1_INIT_DRIVESTATE 1
#define CYBSP_CS_BTN1_INIT_DRIVESTATE CYBSP_CSD_BTN1_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_2_HSIOM
    #define ioss_0_port_8_pin_2_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_BTN1_HSIOM ioss_0_port_8_pin_2_HSIOM
#define CYBSP_CS_BTN1_HSIOM CYBSP_CSD_BTN1_HSIOM
#define CYBSP_CSD_BTN1_IRQ ioss_interrupts_gpio_8_IRQn
#define CYBSP_CS_BTN1_IRQ CYBSP_CSD_BTN1_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_BTN1_HAL_PORT_PIN P8_2
    #define CYBSP_CS_BTN1_HAL_PORT_PIN CYBSP_CSD_BTN1_HAL_PORT_PIN
    #define CYBSP_CSD_BTN1 P8_2
    #define CYBSP_CS_BTN1 CYBSP_CSD_BTN1
    #define CYBSP_CSD_BTN1_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_BTN1_HAL_IRQ CYBSP_CSD_BTN1_HAL_IRQ
    #define CYBSP_CSD_BTN1_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_BTN1_HAL_DIR CYBSP_CSD_BTN1_HAL_DIR
    #define CYBSP_CSD_BTN1_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_BTN1_HAL_DRIVEMODE CYBSP_CSD_BTN1_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_SLD0_ENABLED 1U
#define CYBSP_CS_SLD0_ENABLED CYBSP_CSD_SLD0_ENABLED
#define CYBSP_CSD_SLD0_PORT GPIO_PRT8
#define CYBSP_CS_SLD0_PORT CYBSP_CSD_SLD0_PORT
#define CYBSP_CSD_SLD0_PORT_NUM 8U
#define CYBSP_CS_SLD0_PORT_NUM CYBSP_CSD_SLD0_PORT_NUM
#define CYBSP_CSD_SLD0_PIN 3U
#define CYBSP_CS_SLD0_PIN CYBSP_CSD_SLD0_PIN
#define CYBSP_CSD_SLD0_NUM 3U
#define CYBSP_CS_SLD0_NUM CYBSP_CSD_SLD0_NUM
#define CYBSP_CSD_SLD0_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_SLD0_DRIVEMODE CYBSP_CSD_SLD0_DRIVEMODE
#define CYBSP_CSD_SLD0_INIT_DRIVESTATE 1
#define CYBSP_CS_SLD0_INIT_DRIVESTATE CYBSP_CSD_SLD0_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_3_HSIOM
    #define ioss_0_port_8_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_SLD0_HSIOM ioss_0_port_8_pin_3_HSIOM
#define CYBSP_CS_SLD0_HSIOM CYBSP_CSD_SLD0_HSIOM
#define CYBSP_CSD_SLD0_IRQ ioss_interrupts_gpio_8_IRQn
#define CYBSP_CS_SLD0_IRQ CYBSP_CSD_SLD0_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_SLD0_HAL_PORT_PIN P8_3
    #define CYBSP_CS_SLD0_HAL_PORT_PIN CYBSP_CSD_SLD0_HAL_PORT_PIN
    #define CYBSP_CSD_SLD0 P8_3
    #define CYBSP_CS_SLD0 CYBSP_CSD_SLD0
    #define CYBSP_CSD_SLD0_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_SLD0_HAL_IRQ CYBSP_CSD_SLD0_HAL_IRQ
    #define CYBSP_CSD_SLD0_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_SLD0_HAL_DIR CYBSP_CSD_SLD0_HAL_DIR
    #define CYBSP_CSD_SLD0_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_SLD0_HAL_DRIVEMODE CYBSP_CSD_SLD0_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_SLD1_ENABLED 1U
#define CYBSP_CS_SLD1_ENABLED CYBSP_CSD_SLD1_ENABLED
#define CYBSP_CSD_SLD1_PORT GPIO_PRT8
#define CYBSP_CS_SLD1_PORT CYBSP_CSD_SLD1_PORT
#define CYBSP_CSD_SLD1_PORT_NUM 8U
#define CYBSP_CS_SLD1_PORT_NUM CYBSP_CSD_SLD1_PORT_NUM
#define CYBSP_CSD_SLD1_PIN 4U
#define CYBSP_CS_SLD1_PIN CYBSP_CSD_SLD1_PIN
#define CYBSP_CSD_SLD1_NUM 4U
#define CYBSP_CS_SLD1_NUM CYBSP_CSD_SLD1_NUM
#define CYBSP_CSD_SLD1_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_SLD1_DRIVEMODE CYBSP_CSD_SLD1_DRIVEMODE
#define CYBSP_CSD_SLD1_INIT_DRIVESTATE 1
#define CYBSP_CS_SLD1_INIT_DRIVESTATE CYBSP_CSD_SLD1_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_4_HSIOM
    #define ioss_0_port_8_pin_4_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_SLD1_HSIOM ioss_0_port_8_pin_4_HSIOM
#define CYBSP_CS_SLD1_HSIOM CYBSP_CSD_SLD1_HSIOM
#define CYBSP_CSD_SLD1_IRQ ioss_interrupts_gpio_8_IRQn
#define CYBSP_CS_SLD1_IRQ CYBSP_CSD_SLD1_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_SLD1_HAL_PORT_PIN P8_4
    #define CYBSP_CS_SLD1_HAL_PORT_PIN CYBSP_CSD_SLD1_HAL_PORT_PIN
    #define CYBSP_CSD_SLD1 P8_4
    #define CYBSP_CS_SLD1 CYBSP_CSD_SLD1
    #define CYBSP_CSD_SLD1_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_SLD1_HAL_IRQ CYBSP_CSD_SLD1_HAL_IRQ
    #define CYBSP_CSD_SLD1_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_SLD1_HAL_DIR CYBSP_CSD_SLD1_HAL_DIR
    #define CYBSP_CSD_SLD1_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_SLD1_HAL_DRIVEMODE CYBSP_CSD_SLD1_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_SLD2_ENABLED 1U
#define CYBSP_CS_SLD2_ENABLED CYBSP_CSD_SLD2_ENABLED
#define CYBSP_CSD_SLD2_PORT GPIO_PRT8
#define CYBSP_CS_SLD2_PORT CYBSP_CSD_SLD2_PORT
#define CYBSP_CSD_SLD2_PORT_NUM 8U
#define CYBSP_CS_SLD2_PORT_NUM CYBSP_CSD_SLD2_PORT_NUM
#define CYBSP_CSD_SLD2_PIN 5U
#define CYBSP_CS_SLD2_PIN CYBSP_CSD_SLD2_PIN
#define CYBSP_CSD_SLD2_NUM 5U
#define CYBSP_CS_SLD2_NUM CYBSP_CSD_SLD2_NUM
#define CYBSP_CSD_SLD2_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_SLD2_DRIVEMODE CYBSP_CSD_SLD2_DRIVEMODE
#define CYBSP_CSD_SLD2_INIT_DRIVESTATE 1
#define CYBSP_CS_SLD2_INIT_DRIVESTATE CYBSP_CSD_SLD2_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_5_HSIOM
    #define ioss_0_port_8_pin_5_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_SLD2_HSIOM ioss_0_port_8_pin_5_HSIOM
#define CYBSP_CS_SLD2_HSIOM CYBSP_CSD_SLD2_HSIOM
#define CYBSP_CSD_SLD2_IRQ ioss_interrupts_gpio_8_IRQn
#define CYBSP_CS_SLD2_IRQ CYBSP_CSD_SLD2_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_SLD2_HAL_PORT_PIN P8_5
    #define CYBSP_CS_SLD2_HAL_PORT_PIN CYBSP_CSD_SLD2_HAL_PORT_PIN
    #define CYBSP_CSD_SLD2 P8_5
    #define CYBSP_CS_SLD2 CYBSP_CSD_SLD2
    #define CYBSP_CSD_SLD2_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_SLD2_HAL_IRQ CYBSP_CSD_SLD2_HAL_IRQ
    #define CYBSP_CSD_SLD2_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_SLD2_HAL_DIR CYBSP_CSD_SLD2_HAL_DIR
    #define CYBSP_CSD_SLD2_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_SLD2_HAL_DRIVEMODE CYBSP_CSD_SLD2_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_SLD3_ENABLED 1U
#define CYBSP_CS_SLD3_ENABLED CYBSP_CSD_SLD3_ENABLED
#define CYBSP_CSD_SLD3_PORT GPIO_PRT8
#define CYBSP_CS_SLD3_PORT CYBSP_CSD_SLD3_PORT
#define CYBSP_CSD_SLD3_PORT_NUM 8U
#define CYBSP_CS_SLD3_PORT_NUM CYBSP_CSD_SLD3_PORT_NUM
#define CYBSP_CSD_SLD3_PIN 6U
#define CYBSP_CS_SLD3_PIN CYBSP_CSD_SLD3_PIN
#define CYBSP_CSD_SLD3_NUM 6U
#define CYBSP_CS_SLD3_NUM CYBSP_CSD_SLD3_NUM
#define CYBSP_CSD_SLD3_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_SLD3_DRIVEMODE CYBSP_CSD_SLD3_DRIVEMODE
#define CYBSP_CSD_SLD3_INIT_DRIVESTATE 1
#define CYBSP_CS_SLD3_INIT_DRIVESTATE CYBSP_CSD_SLD3_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_6_HSIOM
    #define ioss_0_port_8_pin_6_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_SLD3_HSIOM ioss_0_port_8_pin_6_HSIOM
#define CYBSP_CS_SLD3_HSIOM CYBSP_CSD_SLD3_HSIOM
#define CYBSP_CSD_SLD3_IRQ ioss_interrupts_gpio_8_IRQn
#define CYBSP_CS_SLD3_IRQ CYBSP_CSD_SLD3_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_SLD3_HAL_PORT_PIN P8_6
    #define CYBSP_CS_SLD3_HAL_PORT_PIN CYBSP_CSD_SLD3_HAL_PORT_PIN
    #define CYBSP_CSD_SLD3 P8_6
    #define CYBSP_CS_SLD3 CYBSP_CSD_SLD3
    #define CYBSP_CSD_SLD3_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_SLD3_HAL_IRQ CYBSP_CSD_SLD3_HAL_IRQ
    #define CYBSP_CSD_SLD3_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_SLD3_HAL_DIR CYBSP_CSD_SLD3_HAL_DIR
    #define CYBSP_CSD_SLD3_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_SLD3_HAL_DRIVEMODE CYBSP_CSD_SLD3_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_CSD_SLD4_ENABLED 1U
#define CYBSP_CS_SLD4_ENABLED CYBSP_CSD_SLD4_ENABLED
#define CYBSP_CSD_SLD4_PORT GPIO_PRT8
#define CYBSP_CS_SLD4_PORT CYBSP_CSD_SLD4_PORT
#define CYBSP_CSD_SLD4_PORT_NUM 8U
#define CYBSP_CS_SLD4_PORT_NUM CYBSP_CSD_SLD4_PORT_NUM
#define CYBSP_CSD_SLD4_PIN 7U
#define CYBSP_CS_SLD4_PIN CYBSP_CSD_SLD4_PIN
#define CYBSP_CSD_SLD4_NUM 7U
#define CYBSP_CS_SLD4_NUM CYBSP_CSD_SLD4_NUM
#define CYBSP_CSD_SLD4_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CS_SLD4_DRIVEMODE CYBSP_CSD_SLD4_DRIVEMODE
#define CYBSP_CSD_SLD4_INIT_DRIVESTATE 1
#define CYBSP_CS_SLD4_INIT_DRIVESTATE CYBSP_CSD_SLD4_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_7_HSIOM
    #define ioss_0_port_8_pin_7_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSD_SLD4_HSIOM ioss_0_port_8_pin_7_HSIOM
#define CYBSP_CS_SLD4_HSIOM CYBSP_CSD_SLD4_HSIOM
#define CYBSP_CSD_SLD4_IRQ ioss_interrupts_gpio_8_IRQn
#define CYBSP_CS_SLD4_IRQ CYBSP_CSD_SLD4_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_CSD_SLD4_HAL_PORT_PIN P8_7
    #define CYBSP_CS_SLD4_HAL_PORT_PIN CYBSP_CSD_SLD4_HAL_PORT_PIN
    #define CYBSP_CSD_SLD4 P8_7
    #define CYBSP_CS_SLD4 CYBSP_CSD_SLD4
    #define CYBSP_CSD_SLD4_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CS_SLD4_HAL_IRQ CYBSP_CSD_SLD4_HAL_IRQ
    #define CYBSP_CSD_SLD4_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CS_SLD4_HAL_DIR CYBSP_CSD_SLD4_HAL_DIR
    #define CYBSP_CSD_SLD4_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CS_SLD4_HAL_DRIVEMODE CYBSP_CSD_SLD4_HAL_DRIVEMODE
    #define CYBSP_A8 (P9_0)
    #define CYBSP_J2_2 CYBSP_A8
    #define CYBSP_A9 (P9_1)
    #define CYBSP_J2_4 CYBSP_A9
    #define CYBSP_A10 (P9_2)
    #define CYBSP_J2_6 CYBSP_A10
    #define CYBSP_A11 (P9_3)
    #define CYBSP_J2_8 CYBSP_A11
    #define CYBSP_TRACE_DATA0 CYBSP_A11
    #define CYBSP_A12 (P9_4)
    #define CYBSP_J2_10 CYBSP_A12
    #define CYBSP_A13 (P9_5)
    #define CYBSP_J2_12 CYBSP_A13
    #define CYBSP_A14 (P9_6)
    #define CYBSP_J2_14 CYBSP_A14
    #define CYBSP_A15 (P9_7)
    #define CYBSP_J2_16 CYBSP_A15
#endif //defined (CY_USING_HAL)

extern const cy_stc_gpio_pin_config_t CYBSP_WCO_IN_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_WCO_IN_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_WCO_OUT_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_WCO_OUT_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SW2_config;
#define CYBSP_USER_BTN1_config CYBSP_SW2_config
#define CYBSP_USER_BTN_config CYBSP_SW2_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SW2_obj;
    #define CYBSP_USER_BTN1_obj CYBSP_SW2_obj
    #define CYBSP_USER_BTN_obj CYBSP_SW2_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_LED_RGB_GREEN_config;
#define CYBSP_USER_LED4_config CYBSP_LED_RGB_GREEN_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_LED_RGB_GREEN_obj;
    #define CYBSP_USER_LED4_obj CYBSP_LED_RGB_GREEN_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t PROFET_SHIELD_DEN13_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t PROFET_SHIELD_DEN13_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t PROFET_SHIELD_IN1_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t PROFET_SHIELD_IN1_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t RADAR_PDET_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t RADAR_PDET_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t RADAR_TDET_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t RADAR_TDET_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SPI_MOSI_config;
#define CYBSP_D11_config CYBSP_SPI_MOSI_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SPI_MOSI_obj;
    #define CYBSP_D11_obj CYBSP_SPI_MOSI_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SPI_MISO_config;
#define CYBSP_D12_config CYBSP_SPI_MISO_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SPI_MISO_obj;
    #define CYBSP_D12_obj CYBSP_SPI_MISO_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SPI_CLK_config;
#define CYBSP_D13_config CYBSP_SPI_CLK_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SPI_CLK_obj;
    #define CYBSP_D13_obj CYBSP_SPI_CLK_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SPI_CS_config;
#define CYBSP_D10_config CYBSP_SPI_CS_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SPI_CS_obj;
    #define CYBSP_D10_obj CYBSP_SPI_CS_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_RX_config;
#define CYBSP_CS_RX_config CYBSP_CSD_RX_config
#define CYBSP_CS_TX_RX_config CYBSP_CSD_RX_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_RX_obj;
    #define CYBSP_CS_RX_obj CYBSP_CSD_RX_obj
    #define CYBSP_CS_TX_RX_obj CYBSP_CSD_RX_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_LED_RGB_RED_config;
#define CYBSP_USER_LED3_config CYBSP_LED_RGB_RED_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_LED_RGB_RED_obj;
    #define CYBSP_USER_LED3_obj CYBSP_LED_RGB_RED_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SW4_config;
#define CYBSP_USER_BTN2_config CYBSP_SW4_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SW4_obj;
    #define CYBSP_USER_BTN2_obj CYBSP_SW4_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SWO_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SWO_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SWDIO_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SWDIO_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SWDCK_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SWDCK_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CINA_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CINA_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CINB_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CINB_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_LED_RGB_BLUE_config;
#define CYBSP_USER_LED5_config CYBSP_LED_RGB_BLUE_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_LED_RGB_BLUE_obj;
    #define CYBSP_USER_LED5_obj CYBSP_LED_RGB_BLUE_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CMOD_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CMOD_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_BTN0_config;
#define CYBSP_CS_BTN0_config CYBSP_CSD_BTN0_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_BTN0_obj;
    #define CYBSP_CS_BTN0_obj CYBSP_CSD_BTN0_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_BTN1_config;
#define CYBSP_CS_BTN1_config CYBSP_CSD_BTN1_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_BTN1_obj;
    #define CYBSP_CS_BTN1_obj CYBSP_CSD_BTN1_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_SLD0_config;
#define CYBSP_CS_SLD0_config CYBSP_CSD_SLD0_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_SLD0_obj;
    #define CYBSP_CS_SLD0_obj CYBSP_CSD_SLD0_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_SLD1_config;
#define CYBSP_CS_SLD1_config CYBSP_CSD_SLD1_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_SLD1_obj;
    #define CYBSP_CS_SLD1_obj CYBSP_CSD_SLD1_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_SLD2_config;
#define CYBSP_CS_SLD2_config CYBSP_CSD_SLD2_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_SLD2_obj;
    #define CYBSP_CS_SLD2_obj CYBSP_CSD_SLD2_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_SLD3_config;
#define CYBSP_CS_SLD3_config CYBSP_CSD_SLD3_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_SLD3_obj;
    #define CYBSP_CS_SLD3_obj CYBSP_CSD_SLD3_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSD_SLD4_config;
#define CYBSP_CS_SLD4_config CYBSP_CSD_SLD4_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSD_SLD4_obj;
    #define CYBSP_CS_SLD4_obj CYBSP_CSD_SLD4_obj
#endif //defined (CY_USING_HAL)

void init_cycfg_pins(void);
void reserve_cycfg_pins(void);

#if defined(__cplusplus)
}
#endif


#endif /* CYCFG_PINS_H */
